## cryptomator 1.6.3

=== debian/changelog ===
cryptomator (1.6.3-3362~mx21+1) mx; urgency=medium

  * Initial build from upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 11 Nov 2021 18:14:10 -0500

cryptomator (1.6.3-3362-0ppa1) focal; urgency=low

  * Full changelog can be found on https://github.com/cryptomator/cryptomator/releases

 -- Cryptobot <releases@cryptomator.org>  Wed, 03 Nov 2021 08:04:47 +0000
