=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_clean:
	rm -rf runtime
	rm -rf cryptomator
	rm -rf debian/cryptomator

override_dh_auto_build:
	jlink \
		--output runtime \
		--add-modules java.base,java.desktop,java.logging,java.naming,java.net.http,java.scripting,java.sql,java.xml,jdk.unsupported,jdk.crypto.ec,jdk.accessibility \
		--no-header-files \
		--no-man-pages \
		--strip-debug \
		--compress=2
	jpackage \
		--type app-image \
		--runtime-image runtime \
		--input libs \
		--module-path mods \
		--module org.cryptomator.desktop/org.cryptomator.launcher.Cryptomator \
		--dest . \
		--name cryptomator \
		--vendor "Skymatic GmbH" \
		--copyright "(C) 2016 - 2021 Skymatic GmbH" \
		--java-options "-Xss5m" \
		--java-options "-Xmx256m" \
		--java-options "-Dfile.encoding=\"utf-8\"" \
		--java-options "-Dcryptomator.logDir=\"~/.local/share/Cryptomator/logs\"" \
		--java-options "-Dcryptomator.pluginDir=\"~/.local/share/Cryptomator/plugins\"" \
		--java-options "-Dcryptomator.settingsPath=\"~/.config/Cryptomator/settings.json:~/.Cryptomator/settings.json\"" \
		--java-options "-Dcryptomator.ipcSocketPath=\"~/.config/Cryptomator/ipc.socket\"" \
		--java-options "-Dcryptomator.mountPointsDir=\"~/.local/share/Cryptomator/mnt\"" \
		--java-options "-Dcryptomator.showTrayIcon=false" \
		--java-options "-Dcryptomator.buildNumber=\"ppa-3362\"" \
		--java-options "-Dcryptomator.appVersion=\"1.6.3\"" \
		--app-version "1.6.3.3362" \
		--resource-dir resources \
		--verbose

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/cryptomator/usr/lib/cryptomator/bin/cryptomator.sh

# override_dh_strip:
	# no-op
